org.jgroups.mux

## Class ServiceInfo

- java.lang.Object
- - org.jgroups.mux.ServiceInfo

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, Streamable

      public class ServiceInfo
      extends java.lang.Object
      implements java.io.Externalizable, Streamable

  Class used for service state communication between Multiplexers
  Author:
    Bela Ban
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ACK`
    `static byte` | `LIST_SERVICES_RSP`
    `static byte` | `SERVICE_DOWN`
    `static byte` | `SERVICE_UP`
    `static byte` | `SERVICES_MERGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInfo()`
    `ServiceInfo(byte type, java.lang.String service, Address host, byte[] state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readExternal(java.io.ObjectInput in)`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `long` | `size()`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `typeToString(int t)`
    `void` | `writeExternal(java.io.ObjectOutput out)`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_UP

          public static final byte SERVICE_UP

      See Also:
        Constant Field Values

    - #### SERVICE_DOWN

          public static final byte SERVICE_DOWN

      See Also:
        Constant Field Values

    - #### LIST_SERVICES_RSP

          public static final byte LIST_SERVICES_RSP

      See Also:
        Constant Field Values

    - #### ACK

          public static final byte ACK

      See Also:
        Constant Field Values

    - #### SERVICES_MERGED

          public static final byte SERVICES_MERGED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceInfo

          public ServiceInfo()

    - #### ServiceInfo

          public ServiceInfo(byte type,
                     java.lang.String service,
                     Address host,
                     byte[] state)

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### size

          public long size()

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### typeToString

          public static java.lang.String typeToString(int t)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.